Package org.apache.tools.ant.types.spi

# Class Provider

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.types.spi.Provider

All Implemented Interfaces:
  `Cloneable`

public class Provider extends ProjectComponent
ANT Jar-Task SPI extension This class corresponds to the nested element <provider type="type"> in the <service type=""> nested element of the jar task.

See Also:
  - https://issues.apache.org/bugzilla/show_bug.cgi?id=31520

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Provider()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `check()`
  Check if the component has been configured correctly.
  `String`
  `getClassName()`
  `void`
  `setClassName(String type)`
  Set the provider classname.

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Provider

    public Provider()

- ## Method Details

  - ### getClassName

    public String getClassName()
    Returns:
      the class name for

  - ### setClassName

    public void setClassName(String type)
    Set the provider classname.
    Parameters:
      `type` - the value to set.

  - ### check

    public void check()
    Check if the component has been configured correctly.